def explain_context(context $\ctxt$):
    $\lambda_j$ = get_context_score($\ctxt, \cscores$)
    $\omega_j$ = get_typical_behavior($\ctxt, \behaviors$)
    $d_j$ = get_description($\ctxt, \mercsmodel$)
    return description $d_j$, typical behavior $\omega_j$, context score $\lambda_j$
    
def explain_instance_in_context(instance $\instance$, context $\ctxt$):
    $v_i$ = get_vote($\instance, \ctxt$)
    $b_i$ = get_behavior($\instance, \ctxt$)
    $\contextexpl$ = explain_context($\ctxt$)
    return vote $v_i$, instance behavior $b_i$, context explanation $\contextexpl$
    
def explain_instance(instance $\instance$):
    $\delta_i$ = get_instance_score($\instance, \iscores$)
    $\mathcal{E} = \{\texttt{explain\_instance\_in\_context}(\instance, \ctxt) | \ctxt \in \contexts \land \instance \in \ctxt \} $
    return instance score $\delta_i$, per-context explanations $\mathcal{E}$

