def explain_context(context $\ctxt$, model $\mercsmodel$, behaviors $\behaviors$, scores $\cscores$):
    $\lambda_j$ = get_context_score($\ctxt, \cscores$)
    $\omega_j$ = get_typical_behavior($\ctxt, \behaviors$)
    $d_j$ = get_description($\ctxt, \mercsmodel$)
    return description $d_j$, typical behavior $\omega_j$, context score $\lambda_j$

def explain_instance(instance $\instance$):
    $\delta_i$ = get_instance_score($\instance, \iscores$)
    $\mathcal{E} = \{\texttt{explain\_instance\_in\_context}(\instance, \ctxt) | \ctxt \in \contexts \land \instance \in \ctxt\}$
    $\mathcal{E}' = \{(\civote, \contextexpl) |  \civote > \tau\}$ # High-vote contexts only
    return instance-score $\delta_i$, context explanations $\mathcal{E}'$
    
def explain_instance_in_context(instance $\instance$, context $\ctxt$):
    $\civote$ = get_context_to_instance_vote($\instance, \ctxt$)
    $\contextexpl$ = explain_context($\ctxt, \mercsmodel, \behaviors, \cscores$)
    return vote $\civote$, context explanation $\contextexpl$