
# Todo's Elia
- Scale Fig 1.
- Caption Fig 4

# TODOS
# Small todo's Jonas
- Introduction end of page 2 "Instances in this leaf that were not yet (convincingly) identified as anomalies can now be assumed to be anomalous" --> can now be assumed anomalous? 
- I agree with Wannes' comments in the related work (in my printed version)
- 3. AD-Mercs --> we use \delta(x_i) here the only place were we use it --> this is the model based thing that is not super explicit in the paper 
    - In the end we can solve this by just mentioning in 3.3 something like. To get the score of a non-training instance x_i: classify the instance in contexts, calculate the v_{ij} scores and calculate the instance scores using the context scores determined during training? 
- 3.3 the title is broken (is smaller than 3.2 for example)
- 3.4 last sentence before illustration should be removed
- Illustration: remove intuitively
# Main text

- Terminology
    - Avoid "suspicious" 
    - Non-outlier -> "Accidental inlier"
    - Guilty-by-association -> Mention ONCE in related work.
    - text\cite{..}, text\footnote{..}, Fig.~\ref{}, Section~\ref{}, Table~\ref{}

- Introduction
    - switch to "accidental-inlier"
        - Mention guilty-by-association once in RW
    - Fig 1
        - Fix scale right subspace
        - Add legend?
- Related Work
    - Better definition of context DONE
    - Be more explicit about HiCS doing LOF afterwards (not suggest, they just DO it. ). DONE
    - Also in experiments, be clear what HICS exactly compare with.
    - Be concrete in RW how it is that in residual-based methods "abnormal behavior escapes detection"
        - A pattern can be present in abnormal behavior

- Method
    - 3.1 less repetition about residual-based methods
        - Do not reiterate the example (WAIT on RW update!)

    - Fig 2: Bi-Modal distribution DONE
        - Flip subplots (left <-> right) DONE
        - Fix line-colors (one color, one thing) DONE
        - Everything bigger: Lines, Labels, Points, Text DONE
        - Add example again in the main text as well! DONE
        
    - Pruning/Scoring paragraph DONE
        - Open with something positive, like "a further improvement..." DONE
        
    - End of 3.2 DONE (by Hendrik)
        - "Distinguish anomalous from normal behavior" is unclear 
            - We could be talking about $\omega$! 
            - But we are talking about anomalous vs normal contexts 
        
    - Explanations DONE
        - "For each anomaly" => "For each instance flagged as anomalous" DONE
        - Do not go back to "contexts" (c_score etc) as object to explain here DONE
            - Start from tree structure?
            - "The node where the instance was scored" or something like that?
            - The entire "best-ancestor" story is basically irrelevant here.
        - Table can use some minor improvements DONE
            - Add the word "but" to emphasize breaking the pattern
        - Different illustration of anomalous-context
            - Also use table or so, not logic
            - Add all members DONE
            - Change caption of figure 3? 
        - Better explanation of anomalous context
            - Hendrik will give this a try
            - This group is very diverse but is similar in just this particular way
            - It's not a very anomalous context anyway.
- Experiments 
    - CamposHD has noisy attributes/irrelevant dimensions, not "noise" DONE
    - Again using the word "context" everywhere
        - Can we switch (completely)"" to global/local outlier terminology?
    - Explain Synth-association better DONE (clarity?)
    - Address Vincent's comment on caption Fig. 2
    - Renaming SYNTH-Benchmarks a bit?
        - Especially the "association"
        - Perhaps also remove "context"?
- Conclusion
    - Needs a bit more iterations in terms of writing 

- Etc
    - Convergence of our iterative procedure?
    - Prediction on new instance?
    - instance score inhibition?

## Supplementary
[] best selected parameters 

[] Complete description of own datasets
    - dataset statistics is fixed! 
    - still need description of the generation process of our datasets?

[] sensitivity analysis plots? 
    - not yet can add 
